Retrieve a list of crypto offramp options
curl --request POST \
--url https://api.slash.com/crypto/offramp \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"virtualAccountId": "<string>"
}
'import requests
url = "https://api.slash.com/crypto/offramp"
payload = { "virtualAccountId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({virtualAccountId: '<string>'})
};
fetch('https://api.slash.com/crypto/offramp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"id": "<string>",
"type": "off_ramp",
"subaccountId": "<string>",
"slashAccountGroupId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"addresses": [
{
"id": "<string>",
"walletId": "<string>",
"address": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"blockchainMemo": "<string>"
}
]
}{
"error": "NOT_ENROLLED",
"message": "You are not enrolled in crypto offramping. You can enroll by logging into your account, clicking “Move Money”, “Add Funds”, and selecting “USDC / USDT”."
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Transfer Money
Get Crypto offramp addresses
POST
/
crypto
/
offramp
Retrieve a list of crypto offramp options
Authorizations
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Body
application/json
⌘I